### Function

# Gtk TreePathnew_from_string

deprecated: 4.10

#### Declaration [src]

    GtkTreePath*
    gtk_tree_path_new_from_string (
      const char* path
    )

#### Description [src]

Creates a new `GtkTreePath` initialized to `path`.

`path` is expected to be a colon separated list of numbers. For example, the string “10:4:0” would create a path of depth 3 pointing to the 11th child of the root node, the 5th child of that 11th child, and the 1st child of that 5th child. If an invalid path string is passed in, `NULL` is returned.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`path`

  Type: `const char*`

  The string representation of a path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkTreePath`

A newly-created `GtkTreePath`

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.